Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(35)

Issue 1180623006: Revert change to Platform.excutable and add Platform.resolvedExecutable (Closed)

Created:
4 years, 4 months ago by Søren Gjesse
Modified:
4 years, 3 months ago
CC:
reviews_dartlang.org, vm-dev_dartlang.org
Base URL:
https://github.com/dart-lang/sdk.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Revert change to Platform.excutable and add Platform.resolvedExecutable The change to Platform.excutable in e03ab1743717c39099a9161999e231699098a811 was a breaking change and it has been reverted. A new getter Platform.resolvedExecutable has been added to provide the the fully qualified path of the executable. BUG=https://github.com/dart-lang/sdk/issues/16994 R=lrn@google.com, kustermann@google.com, len@google.com Committed: https://github.com/dart-lang/sdk/commit/c05c8c66069db91cc2fd48691dfc406c818d411d

Patch Set 1 #

Total comments: 12

Patch Set 2 : Addressed review comments #

Total comments: 2

Patch Set 3 : Addressed more comments #

Patch Set 4 : Updated dart2js io_patch.dart #

Unified diffs Side-by-side diffs Delta from patch set Stats (+68 lines, -173 lines) Patch
M runtime/bin/io_natives.cc View 1 chunk +1 line, -0 lines 0 comments Download
M runtime/bin/platform.h View 2 chunks +8 lines, -9 lines 0 comments Download
M runtime/bin/platform.cc View 2 chunks +11 lines, -1 line 0 comments Download
M runtime/bin/platform_patch.dart View 1 chunk +2 lines, -0 lines 0 comments Download
M sdk/lib/_internal/compiler/js_lib/io_patch.dart View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M sdk/lib/io/platform.dart View 1 1 chunk +14 lines, -3 lines 0 comments Download
M sdk/lib/io/platform_impl.dart View 2 chunks +2 lines, -0 lines 0 comments Download
M tests/standalone/io/platform_executable_test.dart View 1 2 1 chunk +0 lines, -144 lines 0 comments Download
A + tests/standalone/io/platform_resolved_executable_test.dart View 1 2 6 chunks +13 lines, -9 lines 0 comments Download
M tests/standalone/io/platform_test.dart View 1 1 chunk +8 lines, -2 lines 0 comments Download
M tests/standalone/standalone.status View 1 2 2 chunks +5 lines, -5 lines 0 comments Download

Messages

Total messages: 10 (1 generated)
Søren Gjesse
4 years, 4 months ago (2015-06-12 11:04:14 UTC) #1
kustermann
Removing len@ - whoever that is - and adding lrn@ :)
4 years, 4 months ago (2015-06-12 11:05:35 UTC) #3
Lasse Reichstein Nielsen
Is there any way to run tests on a platform that doesn't support resolving the ...
4 years, 4 months ago (2015-06-12 14:12:17 UTC) #4
Lasse Reichstein Nielsen
https://codereview.chromium.org/1180623006/diff/1/sdk/lib/io/platform.dart File sdk/lib/io/platform.dart (right): https://codereview.chromium.org/1180623006/diff/1/sdk/lib/io/platform.dart#newcode154 sdk/lib/io/platform.dart:154: * [resolvedExecutable] an empty string is returned. > Why ...
4 years, 4 months ago (2015-06-12 14:13:31 UTC) #5
Søren Gjesse
PTAL (I hope it works on Windows) https://codereview.chromium.org/1180623006/diff/1/sdk/lib/io/platform.dart File sdk/lib/io/platform.dart (right): https://codereview.chromium.org/1180623006/diff/1/sdk/lib/io/platform.dart#newcode150 sdk/lib/io/platform.dart:150: * This ...
4 years, 4 months ago (2015-06-15 07:28:15 UTC) #6
Lasse Reichstein Nielsen
lgtm https://codereview.chromium.org/1180623006/diff/20001/tests/standalone/io/platform_executable_test.dart File tests/standalone/io/platform_executable_test.dart (right): https://codereview.chromium.org/1180623006/diff/20001/tests/standalone/io/platform_executable_test.dart#newcode1 tests/standalone/io/platform_executable_test.dart:1: // Copyright (c) 2012, the Dart project authors. ...
4 years, 4 months ago (2015-06-15 07:52:08 UTC) #7
Søren Gjesse
Committed patchset #4 (id:60001) manually as c05c8c66069db91cc2fd48691dfc406c818d411d (presubmit successful).
4 years, 4 months ago (2015-06-15 08:13:30 UTC) #8
Søren Gjesse
https://codereview.chromium.org/1180623006/diff/20001/tests/standalone/io/platform_executable_test.dart File tests/standalone/io/platform_executable_test.dart (right): https://codereview.chromium.org/1180623006/diff/20001/tests/standalone/io/platform_executable_test.dart#newcode1 tests/standalone/io/platform_executable_test.dart:1: // Copyright (c) 2012, the Dart project authors. Please ...
4 years, 4 months ago (2015-06-15 09:49:40 UTC) #9
kevmoo
4 years, 3 months ago (2015-06-23 20:41:16 UTC) #10
Message was sent while issue was closed.
On 2015/06/15 09:49:40, Søren Gjesse wrote:
>
https://codereview.chromium.org/1180623006/diff/20001/tests/standalone/io/pla...
> File tests/standalone/io/platform_executable_test.dart (right):
> 
>
https://codereview.chromium.org/1180623006/diff/20001/tests/standalone/io/pla...
> tests/standalone/io/platform_executable_test.dart:1: // Copyright (c) 2012,
the
> Dart project authors.  Please see the AUTHORS file
> On 2015/06/15 07:52:08, Lasse Reichstein Nielsen wrote:
> > Maybe rename test to platform_resolved_executable_test.dart
> 
> Done.

In the future, please update CHANGELOG.md w/ API changes.

Powered by Google App Engine
This is Rietveld 408576698